Const SQLTYPE_MYSQL% = 1

;; Open the SQL connection
SqlConnection = OpenSQLStream("localhost", 3306, "dbtower", "letmein", "regeneration", SQLTYPE_MYSQL)

;; Check if the connection was opened succesfully
If (SqlConnection)
  Print "Succesfully connected to the SQL server!"
Else
  Print "Couldn't connect to the SQL server!"
EndIf

;; Execute a query on the SQL server
Query = SQLQuery(SqlConnection, "SELECT * FROM accounts")

;; Check if the query was executed succesfully
If (Query)
  Print "The query was executed succesfully"
Else
  Print "The query wasn't executed"
EndIf

;; Print some information about the query
Print "Rows found: " + SQLRowCount(Query)
Print "Fields per row: " + SQLFieldCount(Query)

;; Fetch the first and second row that resulted from the query
FirstRow = SQLFetchRow(Query)
SecondRow = SQLFetchRow(Query)

;; Print a field from the first row (by it's name)
If (FirstRow)
  Print "Got the 1st row"
  Print "The 'email' field from the 1st row: " + ReadSQLField(FirstRow, "email")
Else
  Print "Couldn't get the 1st row"
EndIf

;; Print a field from the second row (by it's index)
;; ReadSQLFieldIndex(Row, Index) -> the index goes from 0 to FieldCount-1
If (SecondRow)
  Print "Got the 2nd row"
  Print "FieldIndex 2 (3rd field) from the 2nd row: " + ReadSQLFieldIndex(SecondRow, 2)
Else
  Print "Couldn't get the 2nd row"
EndIf

;; Free the query and the rows after usage
FreeSQLRow(FirstRow)
FreeSQLRow(SecondRow)
FreeSQLQuery(Query)

;; Close the SQL connection
CloseSQLStream(SqlConnection)

;; Check if the SQL connection was closed succesfully
If (SQLConnected(SqlConnection))
  Print "The SQL server is still connected!"
Else
  Print "The SQL server has succesfully disconnected!"
EndIf

;; End of program
WaitKey
End